---
schema-version: '1.1'
build:
  name: OpenSearch
  version: 2.2.0
  platform: linux
  architecture: x64
  distribution: rpm
  location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/dist/opensearch/opensearch-2.2.0-linux-x64.rpm
  id: '6002'
components:
  - name: OpenSearch
    repository: https://github.com/opensearch-project/OpenSearch.git
    ref: tags/2.2.0
    commit_id: b1017fa3b9a1c781d4f34ecee411e0cdf930a515
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/dist/opensearch-min-2.2.0.x86_64.rpm
  - name: common-utils
    repository: https://github.com/opensearch-project/common-utils.git
    ref: tags/2.2.0.0
    commit_id: 7d531022af8f5c4ec3ef38194596b4f6ccd5bb6b
  - name: job-scheduler
    repository: https://github.com/opensearch-project/job-scheduler.git
    ref: tags/2.2.0.0
    commit_id: a5013073ec8de9b7af6fa439c2f4d6fd9af8881d
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-job-scheduler-2.2.0.0.zip
  - name: ml-commons
    repository: https://github.com/opensearch-project/ml-commons.git
    ref: tags/2.2.0.0
    commit_id: a7d269500f8667fdd4cd4d582c7148a7e7fb557c
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-ml-2.2.0.0.zip
  - name: performance-analyzer
    repository: https://github.com/opensearch-project/performance-analyzer.git
    ref: tags/2.2.0.0
    commit_id: 3a75d7d5a6302b3c9fd78fb7104f90689d407484
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-performance-analyzer-2.2.0.0.zip
  - name: security
    repository: https://github.com/opensearch-project/security.git
    ref: tags/2.2.0.0
    commit_id: 8e9e583adeae552f61df218401971ffc094342d0
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-security-2.2.0.0.zip
  - name: geospatial
    repository: https://github.com/opensearch-project/geospatial.git
    ref: tags/2.2.0.0
    commit_id: a71475ab3b0de008ca352e290d99fb3b53f1a1c5
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-geospatial-2.2.0.0.zip
  - name: k-NN
    repository: https://github.com/opensearch-project/k-NN.git
    ref: tags/2.2.0.0
    commit_id: 53185a0f165ebe1f8c3e01fd80a867727ba3674f
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-knn-2.2.0.0.zip
  - name: cross-cluster-replication
    repository: https://github.com/opensearch-project/cross-cluster-replication.git
    ref: tags/2.2.0.0
    commit_id: 14d871a152ec1e04ffcad1e6e94c9bcc21f0580d
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-cross-cluster-replication-2.2.0.0.zip
  - name: notifications-core
    repository: https://github.com/opensearch-project/notifications.git
    ref: tags/2.2.0.0
    commit_id: 01b4aa8886b4bb8faabf482bf9f4baaa441015fe
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-notifications-core-2.2.0.0.zip
  - name: notifications
    repository: https://github.com/opensearch-project/notifications.git
    ref: tags/2.2.0.0
    commit_id: 01b4aa8886b4bb8faabf482bf9f4baaa441015fe
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-notifications-2.2.0.0.zip
  - name: anomaly-detection
    repository: https://github.com/opensearch-project/anomaly-detection.git
    ref: tags/2.2.0.0
    commit_id: 6c68f5c573c3c880dfd7ed735b1e3b05e03222de
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-anomaly-detection-2.2.0.0.zip
  - name: asynchronous-search
    repository: https://github.com/opensearch-project/asynchronous-search.git
    ref: tags/2.2.0.0
    commit_id: 4f1f992c6bb134dab191042a87216f1616be8a27
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-asynchronous-search-2.2.0.0.zip
  - name: alerting
    repository: https://github.com/opensearch-project/alerting.git
    ref: tags/2.2.0.0
    commit_id: b3d676f70b0df8df9cab0919a147ed395c568797
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-alerting-2.2.0.0.zip
  - name: index-management
    repository: https://github.com/opensearch-project/index-management.git
    ref: tags/2.2.0.0
    commit_id: 8eb5da6b0317506ee0160ddbbc53a14550cbcd5d
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-index-management-2.2.0.0.zip
  - name: sql
    repository: https://github.com/opensearch-project/sql.git
    ref: tags/2.2.0.0
    commit_id: 454122d3c73dcf8944800720e2116fd6540d3b26
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-sql-2.2.0.0.zip
  - name: opensearch-observability
    repository: https://github.com/opensearch-project/observability
    ref: tags/2.2.0.0
    commit_id: 4055decd159c2cff401b43006f6ccba73e6f67b6
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-observability-2.2.0.0.zip
  - name: dashboards-reports
    repository: https://github.com/opensearch-project/dashboards-reports.git
    ref: tags/2.2.0.0
    commit_id: 1d3980ab2d93a89acd0a5716f575a222389b9e8d
    location: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.2.0/6002/linux/x64/rpm/builds/opensearch/plugins/opensearch-reports-scheduler-2.2.0.0.zip
